Subject: Re: [RFC] Questions for "Git User's Survey 2011"

From: Jakub Narebski <[email-masked]>
Date: Mon, 1 Aug 2011 22:57:43 +0200

On Sun, 31 Jul 2011, Felipe Contreras wrote:
> 2011/7/26 Phil Hord <[email-masked]>:
>> On 07/26/2011 06:37 AM, Jakub Narebski wrote:
>>> On Mon, 25 Jul 2011, Phil Hord wrote:

>>>> IDE integration (Eclipse, Netbeans, etc.)
>>>
>>> This isn't strictly _git_ feature, and is in "12. What kind of Git tools
>>> do you use?" anyway.
>>>
>> Yes, it's not a git feature.  But I'm curious how successful any IDE
>> integration is (as opposed to a GUI, for example).  I haven't seen any
>> that use enough of the power of git yet, so I have been disappointed.  I
>> suspect others have also, but I'm hopeful.
> 
> I also think this is important, in my blog I've seen a bunch of people
> mentioning that Git's integration with IDE's is not as good as
> Mercurial. Putting this in the already existing list of tools would
> not cover missing IDE's being integrated, I think this should go into
> "20. In your opinion, which areas in Git need improvement?"

I think this is a good idea, though perhaps not in question about Git
(it is "which areas in _Git_"), but in a separate question about Git
tools.

 21. In your opinion, what Git tools are needed, and which need improvements?

Or something like that.
-- 
Jakub Narebski
Poland